module Vlab
  class Command

    def initialize(command, summary)
      @command = command
      @summary = summary
      @program_name = "vlabr @command"
      @args=[]
    end

    def usage
      @program_name
    end

    def local?
      false
    end

    def arguments
      ""
    end

    def check_args
      false
    end
    
    def execute
      fail "Generic command has no actions"
    end

    def invoke(*args)
      @args = args
      execute
    end

    HELP = %{
vlabr is a command line interface for SkyTap Virtual Lab. For
information on available commands run:

     vlabr help commands

vlabr has epic whale powers.

}


  end 
end
