require 'vlab/command'
require 'vlab/vlab_env.rb'

class Vlab::Commands::LoginCommand < Vlab::Command

  def initialize
    super 'login', 'login into environment'
  end

  def local?
    true
  end

  def execute
    user = @args[0]
    url = @args[1]

    if @args.length > 2
      env = @args[2]
    else
      env = "default"
    end

    print 'enter your password: '
    pass = STDIN.gets.chomp

    Vlab::environment_manager.add(env, url, user, pass)
  end
end

