require 'vlab/command_manager'
require 'vlab/vlab_env_manager'


module Vlab
  @environment_manager = nil

  def self.environment_manager
    @environment_manager
  end

  def self.environment_manager=(env)
    @environment_manager = env
  end

  class VlabRunner
    def initialize
      Vlab::environment_manager = Vlab::EnvironmentManager.new
    end

    def run(args)
      cmd = Vlab::CommandManager.instance
      cmd.run(args)
    end
  end
end
